unit uEditorFechaPagoProveedor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, cxControls, cxContainer, cxEdit, cxTextEdit, cxMaskEdit,
  cxDropDownEdit, cxCalendar, ExtCtrls, uEditorBasico, uIEditorFechaPagoProveedor;

type
  TfEditorFechaPagoProveedor = class(TfEditorBasico, IEditorFechaPagoProveedor)
    Label1: TLabel;
    eFechaPago: TcxDateEdit;
    bAceptar: TButton;
    bCancelar: TButton;
    Label2: TLabel;
    Panel1: TPanel;
    procedure FormShow(Sender: TObject);
    procedure eFechaPagoPropertiesChange(Sender: TObject);
  private
    FFechaPago : TDateTime;
    function GetFechaPago: TDateTime;
    procedure SetFechaPago(const Value: TDateTime);
  public
    property FechaPago: TDateTime Read GetFechaPago write SetFechaPago;
  end;

implementation
{$R *.dfm}

procedure TfEditorFechaPagoProveedor.eFechaPagoPropertiesChange(Sender: TObject);
begin
  FechaPago := eFechaPago.Date;
end;

procedure TfEditorFechaPagoProveedor.FormShow(Sender: TObject);
begin
  eFechaPago.Date := Date;
end;

function TfEditorFechaPagoProveedor.GetFechaPago: TDateTime;
begin
  Result := FFechaPago;
end;

procedure TfEditorFechaPagoProveedor.SetFechaPago(const Value: TDateTime);
begin
  FFechaPago := Value;
end;

end.
